@font-face {
    font-family: 'Cupid Love';
    src: url('fonts/cute_love-webfont.woff2') format('woff2'),
         url('fonts/cute_love-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Love Letters';
    src: url('fonts/edwardianscriptitc.woff2') format('woff2'),
         url('fonts/edwardianscriptitc.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Marykate Regular';
    src: url('fonts/Marykate\ Regular.woff2') format('woff2'),
         url('fonts/Marykate\ Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Cuti Thai';
    src: url('TH/Thaifont/PhakchiThin-Regular.woff2') format('woff2'),
         url('TH/Thaifont/PhakchiThin-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


#nameInput , #questionInput , #message1 , #message2 , #linkmessage3 {     
    font-family: 'Cuti Thai', Arial, sans-serif ;      
}


body {
    background-color: #FCF4DF;
    text-align: center;
}

.slideshow {
    position: relative;
    width: 250px;
    height: 350px;
    overflow: hidden;
    /*border: 1.5px solid rgb(76, 69, 69);*/
    border-radius: 20px;
    margin-left: 60px;

}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    /*transition: opacity 0.8s ease-in-out;*/
    text-align: center;
    overflow: hidden;
    border-radius: 30px;
}

.slide.active {
    opacity: 1;
}

.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-80%);
    background: none;
    color: rgb(76, 69, 69);
    border: none;
    padding: 5px 5px;
    cursor: pointer;
    width: 50px;
    height: 50px;
}

.prev { left: -30px; }
.next { right: -30px; }

/*.container {
    align-items: center;
    display: flex;
    flex-wrap: wrap; 
    justify-content: space-between;
}*/

.button1 {
    text-align: center;
    width: 200x;
    margin: auto;
}
 /* link button */
button {
    text-align: center;
    width: 200x;
    padding: 10px;
    margin: 30px;
    border: 1px solid rgb(76, 69, 69);
    border-radius: 5px;
    font-size: 16px;
    background-color: hwb(327 75% 0%);
    color: rgb(76, 69, 69);
    }

input[type="text"] {
    width: 20%;
    padding: 10px;
    border: 1px solid rgb(76, 69, 69);
    border-radius: 10px;
    font-size: 17px;
    outline: none;

}

 .button1, button {
    font-family: Helvetica, sans-serif;
}

.botton11, .botton12, .botton13 .botton14 {
    margin-top: 30px;
    margin-bottom: 30px;
}
.header_text {
    font-family: 'Marykate Regular', Arial, sans-serif;
    font-size: 25px;
    color: rgb(76, 69, 69);
    text-align: center;
    letter-spacing: 0px;
    width: 300px;
    margin-top: -45px;
    transform: translateX(40px);
    align-items: center;

}

.header_text124 {
    font-family: 'Love Letters', Arial, sans-serif ;
    font-weight: normal !important;
    font-style: normal !important;
    font-size: 80px;
    text-align: center;
    color:  hwb(327 46% 7%);
    -webkit-text-stroke: 0.8px black;
    background-color: none;
    width: 200x;
    margin-bottom: 60px;

}


.boxfill_text {
    font-size: 20px;
    color: rgb(76, 69, 69);
    text-align: left;
    margin-bottom: 6px;

}

.copy-container {
    text-align: center;
    font-family: Arial, sans-serif;
    margin-bottom: 30px;
    margin-top: -20px;
}

.copy-title {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 10px;
}

.hidden {
    display: none;
} 

#result {
    background: #ffffff;
    padding: 10px;
    border-radius: 8px;
    border: 1px solid #000000;
    font-size: 15px;
    word-break: break-word;
    color: #ff2d2d;
    margin-top: 5px;
}

.text_result {
    margin-top: 5px;
    margin-bottom: 6px;
    color: rgb(76, 69, 69);
}


.copy-btn {
    background: none;
    border: none;
    color: rgb(76, 69, 69);
    font-size: 14px;
    cursor: pointer;
    align-items: center;
    display: flex;
    gap: 5px;
    margin-top: 10px;
    background: #ffffff;
    border: 1px solid rgb(76, 69, 69);
}

.copy-btn img {
    width: 16px;
    height: 16px;
    display: flex;
}

.generate-btn {
    background: hwb(327 70% 1%);
    color: rgb(76, 69, 69);
    border: none;
    padding: 10px 15px;
    font-size: 14px;
    cursor: pointer;
    border-radius: 5px;
    margin-top: 25px;
    border: 1px solid rgb(76, 69, 69);
}

.generate-btn:hover {
    background: hwb(327 58% 11%);
}

.copy-message {
    font-size: 12px;
    color: rgb(108, 184, 108);
    margin-top: 5px;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.footer {
    font-family:'Cupid Love', Arial, sans-serif;
    font-size: 15px;
    color: rgb(76, 69, 69);
    text-decoration: none;
}

.instagram {
    font-size: 15px;
    color: rgb(76, 69, 69);
}

.PageNote {
    font-family:'Cupid Love', Arial, sans-serif;
    color: rgb(76, 69, 69);
}



@media (max-width: 500px) {
    .button1 {
        width: 90%;
    }
    }
    input[type="text"] {
    width: 90%;
    }

    .boxfill_text {
    margin-left: 9px;
    }

    .copy-btn {
        margin-right: 100px;
        transform: translateX(-30%);
    }

    .slideshow { 
        text-align: left;
        transform: translateX(-0.8%);
    }

    .line-svg4 {
        display: block;           /* enable vertical margin + centering */
        margin: 20px auto 0;     /* 200px from top, centered horizontally */
        width: 340px;             /* add units, no quotes */
        height: auto;  

    }
    .PageNote {
        font-size: 30px;

    }

    



/* @media (max-width: 767px) {
    .slideshow { 
        text-align: left;
        transform: translateX(0.5px);
        }
    .header_text124 { 
        text-align: center;
    }
    } */

@media (min-width: 501px) and (max-width: 1023px) {
        /* Styles for tablets */
    .slideshow { 
        text-align: left;
        position: absolute;
        }
    .header_text124 { 
        transform: translateX(-10%);
        }
    .button1 {
        position: absolute;
        transform: translateX(80%);
        justify-content: center;
        width: 400px;
        }
    .grouphead {
        text-align: center;
        justify-content: center;
        transform: translateY(70%);
        }

    }

    /*.PageNote {
        font-size: 30px;
        color: rgb(76, 69, 69);
        margin-bottom: -15px;
        margin-top: 15px;

    } */

@media (min-width: 1024px) {
    input[type="text"], .boxfill_text {
        width: 400px;
        font-size: 18px;
    }

    .boxfill_text {
        transform: translateX(1%);
    }

    #result {
        width: 400px;
        margin: auto;
    }
    .copy-btn {
        margin: auto;
        margin-top: 15px;
        transform: translateX(-150%);
    }

    .button1 {
        transform: translateY(-80%) translateX(26%);
        width: 400px;
        height: 600px;
    }

    .header_text124 {
        transform: translateX(-35%);

    }

    .grouphead {
        text-align: center;
        justify-content: center;
        transform: translateY(10%) translateX(10%);
        }

    .line-svg4 {
        display: block;
        margin: 30px auto 0;
        width: 400px;             /* add units */
        height: auto;
    }
}

        

    /*
    .slideshow { 
        transform: translateX(205%);
    }
    .header_text {
        transform: translateX(180%);
        margin-bottom: 20px;
        margin-top: -60px;
    }
    .header_text124 {
        transform: translateX(-1%);
        font-size: 100px;
        background: none;
    }*/